<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	
	<!-- Bootrap CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
	<!-- End Bootrap CSS -->

	<title>Bootstrap Introduction & Simple Styles</title>

</head>
<body class="text-center bg-secondary">

	<!-- NavBar -->
	<!-- 
		p ► padding
		m ► margin
			1 - .25rem
			2 - .5rem
			3 - 1rem
			4 - 1.5rem
			5 - 3rem
		i.e. class="p-1" for declaring all value same goes w/ margin

		mt - margin top
		mb - margin bottom
		ml - marhin left
		mr - margin right
		mx - margin left right
		my - margin top bottom
	 -->
	<div class="bg-primary text-light fixed-top p-1">
		Fixed Top - Navbar
	</div>

	<!-- End of NavBar -->
	
	<!-- Header -->
	<div class="text-center mt-5">
		<h1>Bootstrap Introduction & Simple Styles</h1>
		<div class="d-none d-lg-inline-block w-25 mt-4">
			<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="img-fluid rounded-circle bg-white">
		</div>
	</div>

	<div class="container-fluid mt-5 mb-5">
		<!-- Bootstrap COlor Classes Table -->
		<h2>Bootstrap Color Classes</h2>
		<table class="table table-dark table-bordered">
			<thead>
				<tr>
					<th>
						Text
					</th>
					<th>Background</th>
				</tr>
			</thead>

			<tbody>
				<tr>
					<th>
						<a href="#" class="text-primary">Primary Link</a>
					</th>
					<td class="text-white bg-primary">
						Primary
					</td>
				</tr>

				<tr>
					<th>
						<a href="#" class="text-secondary">Secondary Link</a>
					</th>
					<td class="text-white bg-secondary">
						Secondary
					</td>
				</tr>

				<tr>
					<th>
						<a href="#" class="text-success">Success Link</a>
					</th>
					<td class="text-white bg-success">
						Success
					</td>
				</tr>

				<tr>
					<th>
						<a href="#" class="text-danger">Danger Link</a>
					</th>
					<td class="text-white bg-danger">
						Danger
					</td>
				</tr>

				<tr>
					<th>
						<a href="#" class="text-warning">Warning Link</a>
					</th>
					<td class="text-white bg-warning">
						Warning
					</td>
				</tr>

				<tr>
					<th>
						<a href="#" class="text-info">Info Link</a>
					</th>
					<td class="text-white bg-info">
						Info
					</td>
				</tr>

				<tr>
					<th>
						<a href="#" class="text-light">Light Link</a>
					</th>
					<td class="text-dark bg-light">
						Light
					</td>
				</tr>

				<tr>
					<th>
						<a href="#" class="text-dark">Dark Link</a>
					</th>
					<td class="text-white bg-dark">
						Dark
					</td>
				</tr>

				<tr>
					<th>
						<a href="#" class="text-white">White Link</a>
					</th>
					<td class="text-dark bg-white">
						White
					</td>
				</tr>

				<tr>
					<th>
						<a href="#" class="text-muted">Muted Link</a>
					</th>
					<td class="text-white bg-transparent">
						Muted
					</td>
				</tr>

			</tbody>
		</table>
		<!-- End of Bootstrap COlor Classes Table -->

		<!-- Bootstrap Text Alignment Classes Table -->
		<h2>Bootstrap Text Classe</h2>
			<table class="table table-dark text-light table-bordered">
				<thead>
					<tr>
						<th>
							Alignment
						</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td class="text-left">Left</td>
					</tr>
					<tr>
						<td class="text-Center">Center</td>
					</tr>
					<tr>
						<td class="text-right">Right</td>
					</tr>

					<!-- Breakpoints 
						 xs - < 576px
						 sm - >= 576px
						 md - >= 768px
						 lg - >= 992px
						 xl - >= 1200px
					-->
					<tr>
						<td class="text-sm-center">Small Center</td>
					</tr>
					<tr>
						<td class="text-right text-md-left">Medium Left</td>
					</tr>

					<tr>
						<td class="text-lg-right">Large Right
						</td>
					</tr>

					<tr>
						<td class="text-xl-center text-left">Extra Large Center</td>
					</tr>

				</tbody>
			</table>

		<!-- End Bootstrap Text Alignment Classes Table -->

		<!-- Bootstrap Other Text Classes -->
		<h2>Bootstrap Text Classes</h2>
			<table class="table table-dark text-light table-bordered">
				<thead>
					<tr>
						<th>Text Transform</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td class="text-lowercase font-weight-bold">
							LOWERCASED BOLD TEXT
						</td>
					</tr>
					<tr>
						<td class="text-uppercase font-weight-normal">uppercased normal text</td>
					</tr>
					<tr>
						<!-- Captalized the Initial of each WOrd -->
						<td class="text-capitalize font-weight-light">capitalized light text</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-decoration-none font-italic">Non-underlined Italic Link</a>
						</td>
					</tr>
				</tbody>		
			</table>
			<!-- Bootstrap Other Text Classes -->

		<!-- Bootstrap Border & Sizing Classess -->
		<h2>Bootstrap Border & Sizing Classess</h2>
		<table class="table table-dark text-light table-bordered">
			<thead>
				<tr>
					<th>
						Border
					</th>
				</tr>
			</thead>
			<tbody>
				<!-- 
					width - w-100, w-75, w-50, w-25
					height - h-100, h-75, h50, h-25 
				 -->
				<tr>
					<td> <!-- Change the border to Rounded -->
						<div class="bg-info border border-warning rounded w-100">
							Rounded
						</div>
					</td>
				</tr>

				<tr>
					<td> <!-- Change the border to Rounded Circle -->
						<div class="bg-secondary border border-white rounded-circle w-75">
							Rounded Circle
						</div>
					</td>
				</tr>

				<tr>
					<td> <!-- Change the border to Rounded -->
						<div class="bg-warning border border-danger rounded-pill w-25">
							Rounded-Pill
						</div>
					</td>
				</tr>
			</tbody>
		</table>
		<!-- End of Bootstrap Border & Sizing Classess -->

		<!--  -->
		<h2></h2>
		<table class="table table-dark text-light table-bordered">
			<thead>
				<tr>
					<th>
						
					</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>
						
					</td>
				</tr>
			</tbody>
		</table>
		<!--  -->

	</div>
	
	<!-- Footer -->
	<div class="bg-primary text-light fixed-bottom p-1">
		Fixed Bottom - Footer
	</div>
	<!-- End of Footer -->

	<!-- JS Dependencies -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
	<!-- End JS Dependencies -->

</body>
</html>